Eclipse Platform Release 3.7

## org.eclipse.jface.contentassist
Interface ISubjectControlContextInformationPresenter

All Superinterfaces:
  IContextInformationPresenter

Deprecated. As of 3.2, replaced by Platform UI's field assist support

    public interface ISubjectControlContextInformationPresenter

extends IContextInformationPresenter

Extends `IContextInformationPresenter` to allow to install a content assistant on the given content assist subject control.

Since:
  3.0

Method Summary
`void` `install(IContextInformation info, IContentAssistSubjectControl contentAssistSubjectControl, int offset)` Deprecated. Installs this presenter for the given context information.

Methods inherited from interface org.eclipse.jface.text.contentassist.IContextInformationPresenter
`install, updatePresentation`

Method Detail

### install

    void install(IContextInformation info,
                 IContentAssistSubjectControl contentAssistSubjectControl,
                 int offset)

  Deprecated.
  Installs this presenter for the given context information.

  Parameters:
    `info` - the context information which this presenter should style
    `contentAssistSubjectControl` - the content assist subject control
    `offset` - the document offset for which the information has been computed

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.